Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Interface BlockLevelLayoutManager

All Superinterfaces:
  LayoutManager, PercentBaseContext

All Known Implementing Classes:
  BlockContainerLayoutManager, BlockLayoutManager, BlockStackingLayoutManager, FloatContentLayoutManager, FlowLayoutManager, FootnoteBodyLayoutManager, LineLayoutManager, ListBlockLayoutManager, ListItemContentLayoutManager, ListItemLayoutManager, MultiCaseLayoutManager, MultiSwitchLayoutManager, SpacedBorderedPaddedBlockLayoutManager, StaticContentLayoutManager, TableAndCaptionLayoutManager, TableCaptionLayoutManager, TableCellLayoutManager, TableLayoutManager

    public interface BlockLevelLayoutManager

extends LayoutManager

The interface for LayoutManagers which generate block areas

Method Summary
`void` | `discardSpace(KnuthGlue spaceGlue)` Discard space.
`Keep` | `getKeepTogether()` Returns the keep-together strength for this element.
`KeepProperty` | `getKeepTogetherProperty()` Returns the keep-together property specified on the FObj.
`Keep` | `getKeepWithNext()` Returns the keep-with-next strength for this element.
`KeepProperty` | `getKeepWithNextProperty()` Returns the keep-with-next property specified on the FObj.
`Keep` | `getKeepWithPrevious()` Returns the keep-with-previous strength for this element.
`KeepProperty` | `getKeepWithPreviousProperty()` Returns the keep-with-previous property specified on the FObj.
`boolean` | `mustKeepTogether()`
`boolean` | `mustKeepWithNext()`
`boolean` | `mustKeepWithPrevious()`
`int` | `negotiateBPDAdjustment(int adj, KnuthElement lastElement)` Negotiate BPD adjustment.

Methods inherited from interface org.apache.fop.layoutmgr.LayoutManager
`addAreas, addChildArea, addChildLM, addChildLMs, createNextChildLMs, getBaselineOffset, getChangedKnuthElements, getChildLMs, getContentAreaBPD, getContentAreaIPD, getFObj, getGeneratesBlockArea, getGeneratesLineArea, getGeneratesReferenceArea, getNextKnuthElements, getNextKnuthElements, getParent, getParentArea, getPSLM, hasLineAreaDescendant, initialize, isFinished, isRestartable, notifyPos, reset, setFinished, setParent`

Methods inherited from interface org.apache.fop.datatypes.PercentBaseContext
`getBaseLength`

Method Detail

### negotiateBPDAdjustment

    int negotiateBPDAdjustment(int adj,
                               KnuthElement lastElement)

  Negotiate BPD adjustment.

  Parameters:
    `adj` - amount to adjust
    `lastElement` - the last knuth element
  Returns:
    the resulting adjusted BPD

### discardSpace

    void discardSpace(KnuthGlue spaceGlue)

  Discard space.

  Parameters:
    `spaceGlue` - the space

### getKeepTogether

    Keep getKeepTogether()

  Returns the keep-together strength for this element.

  Returns:
    the keep-together strength

### mustKeepTogether

    boolean mustKeepTogether()

  Returns:
    true if this element must be kept together

### getKeepWithPrevious

    Keep getKeepWithPrevious()

  Returns the keep-with-previous strength for this element.

  Returns:
    the keep-with-previous strength

### mustKeepWithPrevious

    boolean mustKeepWithPrevious()

  Returns:
    true if this element must be kept with the previous element.

### getKeepWithNext

    Keep getKeepWithNext()

  Returns the keep-with-next strength for this element.

  Returns:
    the keep-with-next strength

### mustKeepWithNext

    boolean mustKeepWithNext()

  Returns:
    true if this element must be kept with the next element.

### getKeepTogetherProperty

    KeepProperty getKeepTogetherProperty()

  Returns the keep-together property specified on the FObj.

  Returns:
    the keep-together property

### getKeepWithPreviousProperty

    KeepProperty getKeepWithPreviousProperty()

  Returns the keep-with-previous property specified on the FObj.

  Returns:
    the keep-together property

### getKeepWithNextProperty

    KeepProperty getKeepWithNextProperty()

  Returns the keep-with-next property specified on the FObj.

  Returns:
    the keep-together property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.